Loading...
Searching...
No Matches
opengv::absolute_pose::NoncentralAbsoluteAdapter Class Reference

`#include <NoncentralAbsoluteAdapter.hpp>`

Inheritance diagram for opengv::absolute_pose::NoncentralAbsoluteAdapter:

## Public Member Functions

| NoncentralAbsoluteAdapter (const bearingVectors_t &bearingVectors, const camCorrespondences_t &camCorrespondences, const points_t &points, const translations_t &camOffsets, const rotations_t &camRotations)
| Constructor. See protected class-members to understand parameters.
| NoncentralAbsoluteAdapter (const bearingVectors_t &bearingVectors, const camCorrespondences_t &camCorrespondences, const points_t &points, const translations_t &camOffsets, const rotations_t &camRotations, const rotation_t &R)
| Constructor. See protected class-members to understand parameters.
| NoncentralAbsoluteAdapter (const bearingVectors_t &bearingVectors, const camCorrespondences_t &camCorrespondences, const points_t &points, const translations_t &camOffsets, const rotations_t &camRotations, const translation_t &t, const rotation_t &R)
| Constructor. See protected class-members to understand parameters.
virtual | ~NoncentralAbsoluteAdapter ()
| Destructor.
virtual opengv::bearingVector_t | getBearingVector (size_t index) const
virtual double | getWeight (size_t index) const
virtual opengv::translation_t | getCamOffset (size_t index) const
virtual opengv::rotation_t | getCamRotation (size_t index) const
virtual opengv::point_t | getPoint (size_t index) const
virtual size_t | getNumberCorrespondences () const
Public Member Functions inherited from opengv::absolute_pose::AbsoluteAdapterBase
EIGEN_MAKE_ALIGNED_OPERATOR_NEW | AbsoluteAdapterBase ()
| Constructor.
| AbsoluteAdapterBase (const opengv::rotation_t &R)
| Constructor.
| AbsoluteAdapterBase (const opengv::translation_t &t, const opengv::rotation_t &R)
| Constructor.
virtual | ~AbsoluteAdapterBase ()
| Destructor.
opengv::translation_t | gett () const
| Retrieve the prior or known value for the position.
void | sett (const opengv::translation_t &t)
| Set the prior or known value for the position.
opengv::rotation_t | getR () const
| Retrieve the prior or known value for the rotation.
void | setR (const opengv::rotation_t &R)
| Set the prior or known value for the rotation.

## Public Attributes

EIGEN_MAKE_ALIGNED_OPERATOR_NEW typedef std::vector< int > | camCorrespondences_t

## Protected Attributes

const bearingVectors_t & | _bearingVectors
const camCorrespondences_t & | _camCorrespondences
const points_t & | _points
const translations_t & | _camOffsets
const rotations_t & | _camRotations
opengv::translation_t | _t
opengv::rotation_t | _R
Protected Attributes inherited from opengv::absolute_pose::AbsoluteAdapterBase
opengv::translation_t | _t
opengv::rotation_t | _R

## Detailed Description

Check the documentation of the parent-class to understand the meaning of an AbsoluteAdapter. This child-class is for the non-central case and holds data in form of references to opengv-types.

## Member Function Documentation

## getBearingVector()

virtual opengv::bearingVector_t opengv::absolute_pose::NoncentralAbsoluteAdapter::getBearingVector | ( | size_t | index | ) | const

virtual

See parent-class

Implements opengv::absolute_pose::AbsoluteAdapterBase.

## getCamOffset()

virtual opengv::translation_t opengv::absolute_pose::NoncentralAbsoluteAdapter::getCamOffset | ( | size_t | index | ) | const

virtual

See parent-class

Implements opengv::absolute_pose::AbsoluteAdapterBase.

## getCamRotation()

virtual opengv::rotation_t opengv::absolute_pose::NoncentralAbsoluteAdapter::getCamRotation | ( | size_t | index | ) | const

virtual

See parent-class

Implements opengv::absolute_pose::AbsoluteAdapterBase.

## getNumberCorrespondences()

virtual size_t opengv::absolute_pose::NoncentralAbsoluteAdapter::getNumberCorrespondences | ( |  | ) | const

virtual

See parent-class

Implements opengv::absolute_pose::AbsoluteAdapterBase.

## getPoint()

virtual opengv::point_t opengv::absolute_pose::NoncentralAbsoluteAdapter::getPoint | ( | size_t | index | ) | const

virtual

See parent-class

Implements opengv::absolute_pose::AbsoluteAdapterBase.

## getWeight()

virtual double opengv::absolute_pose::NoncentralAbsoluteAdapter::getWeight | ( | size_t | index | ) | const

virtual

See parent-class

Implements opengv::absolute_pose::AbsoluteAdapterBase.

## Member Data Documentation

## _bearingVectors

const bearingVectors_t& opengv::absolute_pose::NoncentralAbsoluteAdapter::_bearingVectors

protected

Reference to the bearing-vectors expressed in the camera-frames

## _camCorrespondences

const camCorrespondences_t& opengv::absolute_pose::NoncentralAbsoluteAdapter::_camCorrespondences

protected

Reference to an array of camera-indices for the bearing vectors. Length equals to number of bearing-vectors, and elements are indices of cameras in the _camOffsets and _camRotations arrays.

## _camOffsets

const translations_t& opengv::absolute_pose::NoncentralAbsoluteAdapter::_camOffsets

protected

Reference to positions of the different cameras seen from the viewpoint.

## _camRotations

const rotations_t& opengv::absolute_pose::NoncentralAbsoluteAdapter::_camRotations

protected

Reference to rotations from the different cameras back to the viewpoint.

## _points

const points_t& opengv::absolute_pose::NoncentralAbsoluteAdapter::_points

protected

Reference to the points expressed in the world-frame.

## _R

opengv::rotation_t opengv::absolute_pose::AbsoluteAdapterBase::_R

protected

The prior or known value for the rotation from the viewpoint back to the world frame. Initialized to identity if not provided.

## _t

opengv::translation_t opengv::absolute_pose::AbsoluteAdapterBase::_t

protected

The prior or known value for the position of the viewpoint seen from the world frame. Initialized to zero if not provided.

## camCorrespondences_t

EIGEN_MAKE_ALIGNED_OPERATOR_NEW typedef std::vector<int> opengv::absolute_pose::NoncentralAbsoluteAdapter::camCorrespondences_t

A type defined for the camera-correspondences, see protected class-members

The documentation for this class was generated from the following file:

- include/opengv/absolute_pose/NoncentralAbsoluteAdapter.hpp